Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.parsers
Class XmlParserInterface

All Known Implementing Classes:
  IfsSimpleXmlParser, LiteralDocumentParser

    public interface class XmlParserInterface

An XmlParserInterface is implemented by content-specific XML parsers that want to use the iFS XML parser framework. A parser application would invoke IfsXmlParser, which in turn would select the appropriate content-specific XML parser.

See Also:
  `IfsXmlParser`
(Unpublished)

Method Summary
`LibraryObject` | `parse(IfsXmlParser ifsxmlparser, java.io.InputStream stream, ParserCallback callback, java.util.Hashtable options)` Parses the specified InputStream representing an XML document.
`LibraryObject` | `parse(IfsXmlParser ifsxmlparser, java.io.Reader reader, ParserCallback callback, java.util.Hashtable options)` Parses the specified Reader representing an XML document.

Method Detail

### parse

    LibraryObject parse(IfsXmlParser ifsxmlparser,
                        java.io.InputStream stream,
                        ParserCallback callback,
                        java.util.Hashtable options)
                        throws IfsException

  Description copied from interface: `XmlParserInterface`
  Parses the specified InputStream representing an XML document.

  Parameters:
    `ifsxmlparser` - this object is the entry point parser and can be used by the content-specific parsers to construct the DOM object, using the Oracle DOM parser
    `stream` - the InputStream
    `callback` - an application object that interacts with the the parsing process; optional, can be null
    `options` - any parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12601) if the operation fails
  (Unpublished)

### parse

    LibraryObject parse(IfsXmlParser ifsxmlparser,
                        java.io.Reader reader,
                        ParserCallback callback,
                        java.util.Hashtable options)
                        throws IfsException

  Description copied from interface: `XmlParserInterface`
  Parses the specified Reader representing an XML document.

  Parameters:
    `ifsxmlparser` - this object is the entry point parser and is used by the content-specific parsers to construct the DOM object, using the Oracle DOM parser
    `reader` - the Reader
    `callback` - an application object that interacts with the the parsing process; optional, can be null
    `options` - any parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12602) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD